/**
  *  \file client/tiles/planetgrowth.h
  *  \brief Planet Growth Tile
  */
#ifndef PCC_V2_CLIENT_TILES_PLANETGROWTH_H
#define PCC_V2_CLIENT_TILES_PLANETGROWTH_H

#include "client/wtile.h"
#include "game/planet.h"
#include "game/planetpred.h"

class GfxContext;

/** Planet growth tile. Displays growth on a planet. Unlike most other
    tiles which observe some object type, this takes a planet by
    copy, allowing to manipulate it. */
class WPlanetGrowthTile : public WTile {
 public:
    WPlanetGrowthTile(const GPlanet& planet);

    void setStructures(TPlanetaryStructure str, int n);
    void setNativeTax(int n);
    void setColonistTax(int n);
    void setEffectors(GPlanetEffectors eff);

    void drawData(GfxCanvas& can);
    bool handleEvent(const UIEvent& event, bool second_pass);

 private:
    void showItem(GfxContext& ctx, int x, int y, int32_t oldPop, int32_t newPop);

    GPlanet planet;
    GPlanetEffectors eff;
};

#endif
