/**
  *  \file client/widgets/msgfilter.h
  *  \brief Message Filter Control Widget
  */
#ifndef PCC_V2_CLIENT_WIDGETS_MSGFILTER_H
#define PCC_V2_CLIENT_WIDGETS_MSGFILTER_H

#include "ui/ui.h"
#include "ui/widgets/button.h"

class WSubjectList;

/** This widget observes a WSubjectList and displays controls
    to manage the filter and old messages config option. */
class WMessageFilterControl : public UIWidget {
    UIButton btn_o, btn_k;
    WSubjectList& sublist;
    SignalConnection conn_sublist;

    void init();
 public:
    WMessageFilterControl(WSubjectList& sublist);
    ~WMessageFilterControl();

    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& info);

    void onOldToggle();
    void onKillToggle();
};

#endif
