/**
  *  \file game/planetpred.h
  *  \brief Planet Prediction
  */
#ifndef PCC_V2_GAME_PLANETPRED_H
#define PCC_V2_GAME_PLANETPRED_H

class GPlanet;

class GPlanetEffectors {
 public:
    enum Effector {
        pe_Hiss,
        pe_RGA,
        pe_Pillage,
        pe_Meteor,
        pe_Heat50,
        pe_Cool50,
        pe_Heat100,
        pe_MAX
    };

    GPlanetEffectors();

    void clear();
    void add(Effector eff, int count);
    void set(Effector eff, int count);
    int get(Effector eff) const;

 private:
    int effectors[pe_MAX];
};

void computeTurn(GPlanet& planet, const GPlanetEffectors& eff);

#endif
